<?php

/**
 * @file
 * Information to populate the block.
 */
function geosniper_get_geo($geosniper_key, $geosniper_lang) {
$geosniper_ip = $_SERVER["REMOTE_ADDR"];
$geosniper_url = "http://www.infosniper.net/xml.php?ip_address=". $geosniper_ip;

  if($geosniper_key != "") {
    $geosniper_url = $geosniper_url ."&k=". $geosniper_key;
  }

  if($geosniper_lang == "1") {
    $geosniper_lang = "&lang=1";
  }
  elseif ($geosniper_lang == "2") {
  $geosniper_lang = "&lang=2";
  }
  else {
  $geosniper_lang = "&lang=1";
  }

  // Make contact with and talk to URL
  $geosniper_url = $geosniper_url . $geosniper_lang;
  $geosniper_str = file_get_contents($geosniper_url);
  $geoxml = new SimpleXMLElement($geosniper_str);

  // A little markup for flag images
  $flagopen = "<img src='";
  $flagclose = "'/>";

  $geosniper_results = array();
    $geosniper_results["ipaddress"] = $geoxml->result[0]->ipaddress;
    $geosniper_results["hostname"] = $geoxml->result[0]->hostname;
    $geosniper_results["provider"] = htmlentities($geoxml->result[0]->provider);
    $geosniper_results["country"] = htmlentities($geoxml->result[0]->country);
    $geosniper_results["countrycode"] = $geoxml->result[0]->countrycode;
    $geosniper_results["countrycode"] = strtoupper($geosniper_results["countrycode"]);
    $geosniper_results["countryflag"] = $flagopen . $geoxml->result[0]->countryflag . $flagclose;
    $geosniper_results["state"] = htmlentities($geoxml->result[0]->state);
    $geosniper_results["city"] = htmlentities($geoxml->result[0]->city);
    $geosniper_results["areacode"] = $geoxml->result[0]->areacode;
    $geosniper_results["postalcode"] = $geoxml->result[0]->postalcode;
    $geosniper_results["dmacode"] = $geoxml->result[0]->dmacode;
    $geosniper_results["latitude"] = $geoxml->result[0]->latitude;
    $geosniper_results["longitude"] = $geoxml->result[0]->longitude;
    $geosniper_results["queries"] = $geoxml->result[0]->queries;

  return $geosniper_results;
}
